Subject: bug#11017: 24.0.94; emacs-lock--kill-emacs-query-functions should ding

From: Michael Heerdegen <[email-masked]>
Date: Wed, 23 Mar 2022 00:37:30 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> > I would not, this would be too distracting.  Using the prefix arg of
> > the mode function,
>
> But the prefix arg is taken?

We could make it so that a plain prefix arg asks about the mode and the
reason string, instead of only about the mode as now.

> I'm not sure I understand.  If we want to add prompting automatically,
> we'd just do that in the mode function, surely?

My thinking was that with a hook function it would be the users choice
_if_ there was an automatic prompting or not.  But we could also use a
new user option for that choice and do it in the mode function, sure.

Michael.